Rivet::IsolationProjection< PROJ1, PROJ2, EST > Class Template Reference

`#include <IsolationProjection.hh>`

Inheritance diagram for Rivet::IsolationProjection< PROJ1, PROJ2, EST >:

## Public Member Functions

| IsolationProjection (PROJ1 &iso, PROJ2 &ctrl, EST *estimator, double ptmin=0 *GeV)
| Constructor.
const vector< pair< const typename PROJ1::entity_type *, double > > | isolatedParticles (double maxiso=numeric_limits< double >::max()) const
| Get the isolation values for the isofinalstate.
virtual const Projection * | clone () const
| Clone on the heap.
Public Member Functions inherited from Rivet::Projection
bool | before (const Projection &p) const
virtual const std::set< PdgIdPair > | beamPairs () const
virtual std::string | name () const
| Get the name of the projection.
Projection & | addPdgIdPair (PdgId beam1, PdgId beam2)
| Add a colliding beam pair.
Log & | getLog () const
| Get a Log object based on the getName() property of the calling projection object.
void | setName (const std::string &name)
| Used by derived classes to set their name.
| Projection ()
| The default constructor.
virtual | ~Projection ()
| The destructor.
Public Member Functions inherited from Rivet::ProjectionApplier
| ProjectionApplier ()
| Constructor.
std::set< ConstProjectionPtr > | getProjections () const
| Get the contained projections, including recursion.
template<typename PROJ >
const PROJ & | getProjection (const std::string &name) const
| Get the named projection, specifying return type via a template argument.
const Projection & | getProjection (const std::string &name) const
template<typename PROJ >
const PROJ & | applyProjection (const Event &evt, const PROJ &proj) const
| Apply the supplied projection on event.
template<typename PROJ >
const PROJ & | applyProjection (const Event &evt, const Projection &proj) const
| Apply the supplied projection on event.
template<typename PROJ >
const PROJ & | applyProjection (const Event &evt, const std::string &name) const
| Apply the named projection on event.

## Protected Member Functions

virtual void | project (const Event &e)
| Apply the projection to the event. More...
virtual int | compare (const Projection &p) const
| Compare projections.
Protected Member Functions inherited from Rivet::Projection
Cmp< Projection > | mkNamedPCmp (const Projection &otherparent, const std::string &pname) const
Cmp< Projection > | mkPCmp (const Projection &otherparent, const std::string &pname) const
Protected Member Functions inherited from Rivet::ProjectionApplier
Log & | getLog () const
ProjectionHandler & | getProjHandler () const
| Get a reference to the ProjectionHandler for this thread.
template<typename PROJ >
const PROJ & | addProjection (const PROJ &proj, const std::string &name)

## Detailed Description

### template<typename PROJ1, typename PROJ2, typename EST = typename isohelper<typename PROJ1::entity_type, typename PROJ2::collection_type>::estimatorhelper>
class Rivet::IsolationProjection< PROJ1, PROJ2, EST >

PROJ1 can be either FinalState projections or JetAlg projections PROJ1::entity_type and PROJ2::entity_type can be either Particle of Jet

## Member Function Documentation

## project()

template<typename PROJ1 , typename PROJ2 , typename EST >

void Rivet::IsolationProjection< PROJ1, PROJ2, EST >::project | ( | const Event & | e | ) |

inline protected virtual

Apply the projection to the event.

projetc the final states

copy of particles is suboptimal, but FinalState returns particles by referencem while JetAlg returns jets by value

Implements Rivet::Projection.

References Rivet::Projection::getLog().

Referenced by Rivet::IsolationProjection< PROJ1, PROJ2, EST >::clone().

The documentation for this class was generated from the following file:

- include/Rivet/Projections/IsolationProjection.hh